package lang

//ChangeLandMsg 语言翻译
func ChangeLandMsg(c *gin.Context) {

	var req query.MsgLangQuery

	if err := c.ShouldBindBodyWith(&req, binding.JSON); err != nil {
		service.Error(c, err)
		return
	}

	//调用智能接口翻译,并且存储到redis中
	content, err := gpt.GptContentLand(req.Msg, req.Lang)

	if err != nil {
		service.Error(c, err)
		return
	}

	service.Success(c, map[string]string{"content": content})

	return
}
